/*
* Portions Copyright (C) 2003 Sun Microsystems, Inc.
* All rights reserved.
*/

/*
** License Applicability. Except to the extent portions of this file are
** made subject to an alternative license as permitted in the SGI Free
** Software License B, Version 1.1 (the "License"), the contents of this
** file are subject only to the provisions of the License. You may not use
** this file except in compliance with the License. You may obtain a copy
** of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
** Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:
**
** http://oss.sgi.com/projects/FreeB
**
** Note that, as provided in the License, the Software is distributed on an
** "AS IS" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS
** DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND
** CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A
** PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
**
** Original Code. The Original Code is: OpenGL Sample Implementation,
** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
** Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc.
** Copyright in any portions created by third parties is as indicated
** elsewhere herein. All Rights Reserved.
**
** Additional Notice Provisions: The application programming interfaces
** established by SGI in conjunction with the Original Code are The
** OpenGL(R) Graphics System: A Specification (Version 1.2.1), released
** April 1, 1999; The OpenGL(R) Graphics System Utility Library (Version
** 1.3), released November 4, 1998; and OpenGL(R) Graphics with the X
** Window System(R) (Version 1.3), released October 19, 1998. This software
** was created using the OpenGL(R) version 1.2.1 Sample Implementation
** published by SGI, but has not been independently verified as being
** compliant with the OpenGL(R) version 1.2.1 Specification.
**
** Author: Eric Veach, July 1994
** Java Port: Pepijn Van Eeckhoudt, July 2003
** Java Port: Nathan Parker Burg, August 2003
*/
package net.java.games.jogl;

import net.java.games.jogl.GLUtesselatorCallback;

/**
 * The <b>GLUtesselatorCallbackAdapter</b> provides a default implementation of
 * {@link net.java.games.jogl.GLUtesselatorCallback GLUtesselatorCallback}
 * with empty callback methods.  This class can be extended to provide user
 * defined callback methods.
 *
 * @author Eric Veach, July 1994
 * @author Java Port: Pepijn Van Eechhoudt, July 2003
 * @author Java Port: Nathan Parker Burg, August 2003
 */

public class GLUtesselatorCallbackAdapter implements GLUtesselatorCallback {
    public void begin(int type) {}
    public void edgeFlag(boolean boundaryEdge) {}
    public void vertex(Object vertexData) {}
    public void end() {}
//  public void mesh(net.java.games.jogl.impl.tesselator.GLUmesh mesh) {}
    public void error(int errnum) {}
    public void combine(double[] coords, Object[] data,
                            float[] weight, Object[] outData) {}
    public void beginData(int type, Object polygonData) {}
    public void edgeFlagData(boolean boundaryEdge,
                                 Object polygonData) {}
    public void vertexData(Object vertexData, Object polygonData) {}
    public void endData(Object polygonData) {}
    public void errorData(int errnum, Object polygonData) {}
    public void combineData(double[] coords, Object[] data,
                                float[] weight, Object[] outData,
                                Object polygonData) {}
}
